PATCH SystemEvent/{id}
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
PATCH /api/v1/SystemEvent/{id}
Update a SystemEventEntity with changes, as described in a JSON Patch or a JSON Merge Patch document.
See RFC6902 and RFC 7396. NsApiSlow threshold: 5000 ms. Update the Department field to "foo" can be done either as a JSON PATCH:
[ { "op": "replace", "path": "/Department", "value": "foo" } ]
or as a JSON MERGE PATCH, which describes the change directly:
{ "Department": "foo" }
JSON PATCH supports operations 'add', 'replace', 'remove' and 'test'. The path is case insensitive, and the leading slash is optional, so the paths "/department", "Department" and "department" are all equivalent.
Calls the {SuperOffice.CRM.Services.IConfigurationAgent} service SaveSystemEventEntity.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The SystemEventEntity id to update. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
PATCH /api/v1/SystemEvent/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: changes
JSON-Patch array of operations+path+value, or a MERGE-PATCH object (which will be converted to a list of JSON-PATCH operations).
| Property Name | Type | Description |
|---|---|---|
| op | String | "add", "replace", "remove", "test" "move" and "copy" not supported |
| path | String | The property names to modify. "/users/0/email", "/users/-", |
| value | Object | New/Replaced value - string or object. |
Response:
SystemEventEntity updated.
| Response | Description |
|---|---|
| 200 | SystemEventEntity updated. |
| 404 | SystemEventEntity with given id does not exist in the db. |
| 409 | Update blocked because a 'test' operation has detected a conflict with the entity value. |
| 412 | Update aborted because SystemEventEntity has changed since the requested If-Unmodified-Since timestamp. |
Response body: SystemEventEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| SystemEventId | int32 | |
| Scope | string | |
| Eta | date-time | |
| Eventkey | string | |
| Eventmess | string | |
| ExtraInfo | int32 | |
| Owner | int32 | |
| UpdatedCount | int32 | |
| Registered | date-time | |
| ActivatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
PATCH /api/v1/SystemEvent/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
[
{
"op": "add",
"path": "aut",
"value": {}
},
{
"op": "add",
"path": "aut",
"value": {}
}
]
Sample response
HTTP/1.1 200 SystemEventEntity updated.
Content-Type: application/json; charset=utf-8
{
"SystemEventId": 718,
"Scope": "Database",
"Eta": "2008-03-03T14:34:02.426041+01:00",
"Eventkey": "explicabo",
"Eventmess": "aut",
"ExtraInfo": 909,
"Owner": 575,
"UpdatedCount": 523,
"Registered": "2021-10-03T14:34:02.426041+02:00",
"ActivatedBy": null,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 522
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/contact/321",
"Archive": "https://www.example.com/api/v1/contact"
}
}